Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalAdminEntitlementResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.jsptools.portal.PortalAdminEntitlementResource

All Implemented Interfaces:
  Resource, SelfDescribingResource, Serializable

public class PortalAdminEntitlementResource
extends P13nResource

PortalAdminEntitlementResource

See Also:
  Serialized Form

Field Summary
`static String` | `BOOK_RESOURCE_TYPE`
`static String` | `DESKTOP_RESOURCE_TYPE`
`static String` | `LAYOUT_RESOURCE_TYPE`
`static String` | `LOOK_AND_FEEL_RESOURCE_TYPE`
`static String` | `MARKUP_RESOURCE_TYPE`
`static String` | `MENU_RESOURCE_TYPE`
`static String` | `PAGE_RESOURCE_TYPE`
`static String` | `PLACEHOLDER_RESOURCE_TYPE`
`static String` | `PORTAL_RESOURCE_TYPE`
`static String` | `PORTLET_CATEGORY_RESOURCE_TYPE`
`static String` | `PORTLET_RESOURCE_TYPE`
`static String` | `SHELL_RESOURCE_TYPE`
`static String` | `THEME_RESOURCE_TYPE`

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`PortalAdminEntitlementResource(String entAppName, String webAppName, String resourceType, String resourceId, String capability)` Construct a resource whose role policies are scoped at a single leaf node.
`PortalAdminEntitlementResource(String entAppName, String webAppName, String resourceType, String resourceId, String capability, int resourceScope)` Construct a resource whose role policies are scoped at a single leaf node, and whose security policies follow the 2 tier desktop/library inheritance scheme.

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BOOK_RESOURCE_TYPE

    public static final String BOOK_RESOURCE_TYPE

See Also:
  Constant Field Values

### DESKTOP_RESOURCE_TYPE

    public static final String DESKTOP_RESOURCE_TYPE

See Also:
  Constant Field Values

### LAYOUT_RESOURCE_TYPE

    public static final String LAYOUT_RESOURCE_TYPE

See Also:
  Constant Field Values

### LOOK_AND_FEEL_RESOURCE_TYPE

    public static final String LOOK_AND_FEEL_RESOURCE_TYPE

See Also:
  Constant Field Values

### MARKUP_RESOURCE_TYPE

    public static final String MARKUP_RESOURCE_TYPE

See Also:
  Constant Field Values

### MENU_RESOURCE_TYPE

    public static final String MENU_RESOURCE_TYPE

See Also:
  Constant Field Values

### PAGE_RESOURCE_TYPE

    public static final String PAGE_RESOURCE_TYPE

See Also:
  Constant Field Values

### PLACEHOLDER_RESOURCE_TYPE

    public static final String PLACEHOLDER_RESOURCE_TYPE

See Also:
  Constant Field Values

### PORTAL_RESOURCE_TYPE

    public static final String PORTAL_RESOURCE_TYPE

See Also:
  Constant Field Values

### PORTLET_CATEGORY_RESOURCE_TYPE

    public static final String PORTLET_CATEGORY_RESOURCE_TYPE

See Also:
  Constant Field Values

### PORTLET_RESOURCE_TYPE

    public static final String PORTLET_RESOURCE_TYPE

See Also:
  Constant Field Values

### SHELL_RESOURCE_TYPE

    public static final String SHELL_RESOURCE_TYPE

See Also:
  Constant Field Values

### THEME_RESOURCE_TYPE

    public static final String THEME_RESOURCE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PortalAdminEntitlementResource

    public PortalAdminEntitlementResource(String entAppName,
                                          String webAppName,
                                          String resourceType,
                                          String resourceId,
                                          String capability)

  Construct a resource whose role policies are scoped at a single leaf node. The policy location and resource scope default to `EntitlementConstants.P13N_ADMIN_ROLE_POLICY_POOL` and `EntitlementConstants.HIERARCHICAL_ROLE_INHERITANCE` respectively.

### PortalAdminEntitlementResource

    public PortalAdminEntitlementResource(String entAppName,
                                          String webAppName,
                                          String resourceType,
                                          String resourceId,
                                          String capability,
                                          int resourceScope)

  Construct a resource whose role policies are scoped at a single leaf node, and whose security policies follow the 2 tier desktop/library inheritance scheme.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns:
    the resource scope. See `EntitlementConstants` for legal values of resourceScope.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved